Bug 249492 - net/glusterfs: Update to 8.0
Summary: net/glusterfs: Update to 8.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Timur I. Bakeyev
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2020-09-20 23:28 UTC by Timur I. Bakeyev
Modified: 2020-09-26 21:10 UTC (History)
1 user (show)

See Also:
daniel: maintainer-feedback+


Attachments
Patch to update the net/glusterfs port (9.83 KB, patch)
2020-09-20 23:28 UTC, Timur I. Bakeyev
koobs: maintainer-approval? (daniel)
Details | Diff
Patch to update the net/glusterfs port (17.74 KB, patch)
2020-09-26 08:31 UTC, Daniel Morante
daniel: maintainer-approval+
Details | Diff
Patch to update the net/glusterfs port (23.16 KB, patch)
2020-09-26 08:39 UTC, Daniel Morante
daniel: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Timur I. Bakeyev freebsd_committer 2020-09-20 23:28:45 UTC
Dear maintainer!

Please, update the glusterfs port to the 8.0 version.

The corresponding patch is attached to this report.
Comment 1 Timur I. Bakeyev freebsd_committer 2020-09-20 23:28:49 UTC
Created attachment 218123 [details]
Patch to update the net/glusterfs port
Comment 2 Timur I. Bakeyev freebsd_committer 2020-09-20 23:32:39 UTC
This patch fixes definition of the PACKAGE_VERSION, which in turn fixes correct detection of the GFAPI_VERSION, that is used, for example, by Samba ports.

That also changes location of the libraries. so PLIST is also adjusted.

Makefile is brushed against portlint warnings.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2020-09-21 07:20:07 UTC
^Triage: Reporter is committer, maintainer is not committer, assign accordingly (only committers are Assignees)
Comment 4 Daniel Morante 2020-09-26 08:31:18 UTC
Created attachment 218313 [details]
Patch to update the net/glusterfs port

Thank you Timur for the patch. Is it okay if I include additional changes with yours?  The attached patch does the following:

- System call fixes backported from upstream
- Adding missing scripts to the SHEBANG_FILES list
- Correct a bug with extended attributes
- Includes your changes to Makefile and pkg-plist

I tested with Poudriere on 11 and 12.

If you prefer that I file a separate PR with a new patch, I can do that too.
Comment 5 Daniel Morante 2020-09-26 08:39:03 UTC
Created attachment 218314 [details]
Patch to update the net/glusterfs port

Sorry, uploaded wrong patch
Comment 6 commit-hook freebsd_committer 2020-09-26 21:09:35 UTC
A commit references this bug:

Author: timur
Date: Sat Sep 26 21:09:15 UTC 2020
New revision: 550225
URL: https://svnweb.freebsd.org/changeset/ports/550225

Log:
  An update to the net/glusterfs port:

  - System call fixes backported from upstream
  - Adding missing scripts to the SHEBANG_FILES list
  - Correct a bug with extended attributes
  - Fix detection of the PACKAGE_VERSION and generation of the correct API version

  PR:		249492
  Submitted by:	maintainer
  Reported by:	timur

Changes:
  head/net/glusterfs/Makefile
  head/net/glusterfs/files/patch-configure.ac
  head/net/glusterfs/files/patch-libglusterfs_src_Makefile.am
  head/net/glusterfs/files/patch-libglusterfs_src_common-utils.c
  head/net/glusterfs/files/patch-libglusterfs_src_glusterfs_syscall.h
  head/net/glusterfs/files/patch-libglusterfs_src_libglusterfs.sym
  head/net/glusterfs/files/patch-libglusterfs_src_syscall.c
  head/net/glusterfs/files/patch-mount_glusterfs.in
  head/net/glusterfs/files/patch-xlators_mgmt_glusterd_src_Makefile.am
  head/net/glusterfs/files/patch-xlators_mgmt_glusterd_src_glusterd-utils.c
  head/net/glusterfs/pkg-plist